package jp.co.sds_corp.fxchart.graph;

import jp.co.sds_corp.fxutil.CcyPair;
import jp.co.sds_corp.util.common.CmnDate;

/**
* 日足レートソースから週足データを読み込むIRateSourceの実装です。
*/
public class WeekFileSource extends DayFileSource
{
	public WeekFileSource( CcyPair pair, String term, String span ) {
		super( pair, term, span );
	}

	protected String getHistoryKey( String span, RateHistRosoku rate ) {
		CmnDate dt = (CmnDate )rate.getStartDate().clone();
		dt.add( CmnDate.DATE, 0 - dt.get( CmnDate.DAY_OF_WEEK ));
		String ret = dt.format( "yyyyMMdd" );
		return ret;
	}

}
